#
# spec file for package neon (Version 0.23.9)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libxml libxml-devel openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool libxml libxml-devel openssl-devel perl rpm

Name:         neon
Summary:      An HTTP and WebDAV client library
Version:      0.23.9
Release:      116
License:      GPL
Group:        Development/Libraries/Other
Source:       http://www.webdav.org/neon/neon-%{version}.tar.bz2
Patch:        CAN-2004-0179-neon-0.23.9.diff
Patch1:       neon-CAN-2004-0398.patch
URL:          http://www.webdav.org/neon
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
neon is an HTTP and WebDAV client library, with a C interface.
   Featuring: * High-level interface to HTTP and WebDAV methods
   (PUT, GET, HEAD etc)

* Low-level interface to HTTP request handling, to allow
   implementing new methods easily.

* HTTP/1.1 and HTTP/1.0 persistent connections

* RFC2617 basic and digest authentication (including auth-int,
   md5-sess)

* Proxy support (including basic/digest authentication)

* Generic WebDAV 207 XML response handling mechanism

* XML parsing using the expat or libxml parsers

* Easy generation of error messages from 207 error responses

* WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.

* WebDAV metadata support: set and remove properties, query any set of
properties (PROPPATCH/PROPFIND).



Authors:
--------
    Joe Orton <joe@manyfish.co.uk>

%package	devel
Summary:      Static Libraries and header files for neon
Group:        Development/Libraries/Other
Requires:     %{name} = %{version}

%description	devel
Static libraries and C header files for the neon library.



Authors:
--------
    Joe Orton <joe@manyfish.co.uk>

%prep
%setup -q
%patch0
%patch1

%build
sh autogen.sh
CFLAGS="$RPM_OPT_FLAGS -g -Wall" \
./configure --prefix=/usr \
	--sysconfdir=/etc \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-ssl \
	--enable-shared  \
	--enable-warnings
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT docdir=%{_defaultdocdir}/neon install install-man install-html

%clean
find $RPM_BUILD_ROOT|sed "s#$RPM_BUILD_ROOT##"|sort|uniq > /tmp/install_file.txt
rpm -qpl /usr/src/packages/RPMS/*/*-%{release}.%{_target_cpu}.rpm|sort|uniq > /tmp/rpm_file.txt
(diff -u /tmp/install_file.txt /tmp/rpm_file.txt > /tmp/file_diff.txt ); cat /tmp/file_diff.txt

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%{_libdir}/*.so*

%files	devel
%doc doc/*.txt doc/html
%defattr(-,root,root)
/usr/bin/neon-config
/usr/include/neon
%{_mandir}/*/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog -n neon
* Wed Jul 07 2004 - olh@suse.de
- update CAN-2004-0179-neon-0.23.9.diff (#41833)
  add missing hunks
* Sun May 09 2004 - olh@suse.de
- add neon-CAN-2004-0398.patch (#39774)
* Thu Apr 01 2004 - olh@suse.de
- add CAN-2004-0179-neon-0.23.9.diff (#37716)
* Wed Apr 23 2003 - olh@suse.de
- update to 0.23.9
  Changes in release 0.23.9:
  * neon-config exports includes needed for OpenSSL given by
  pkg-config.
  * ne_redirect_location will return NULL if redirect hooks have
  not been registered for the session (Ralf Mattes <rm@fabula.de>).
  Changes in release 0.23.8:
  * On Linux, skip slow lookup for IPv6 addresses when IPv6 support
  is not loaded in kernel (thanks to Daniel Stenberg for this
  technique).
  * Update to autoconf 2.57 and libtool 1.4.3.
* Sat Mar 01 2003 - olh@suse.de
- apply security fix from 0.23.8
  * SECURITY: Prevent control characters from being included in the
  reason_phrase field filled in by ne_parse_statusline(), and in
  the session error string.
  * Fix digest auth response verification for >9 responses in session
  (bug manifests as "Server was not authenticated correctly" error).
* Tue Jan 28 2003 - olh@suse.de
- update to 0.23.7
  Changes in release 0.23.7:
  * Fix for handling EINTR during write() call (Sergey N Ushakov).
  * When available, use pkg-config to determine compiler flags
  needed to use OpenSSL headers and libraries.
* Tue Jan 21 2003 - olh@suse.de
- update to 0.23.6
* Sat Oct 12 2002 - olh@suse.de
- update to 0.23.5
  move interface documentation to -devel
* Thu Sep 19 2002 - olh@suse.de
- update to 0.23.4, enable build with -g
* Sat Aug 31 2002 - poeml@suse.de
- update to 0.22.0, needed by subversion
* Fri Aug 09 2002 - olh@suse.de
- devel requires base package
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Sun Jun 23 2002 - olh@suse.de
- update to 0.21.3
* Sat May 04 2002 - olh@suse.de
- initial SuSE package, version 0.20.0
